0
\$\begingroup\$

I am getting these blank errors in unity for quite a while now, as soon as I create a new Project 2D or 3D I am presented with the following and can't enter in play mode.

enter image description here

And as a workaround I have to change the Scripting Runtime Version to 3.5 in the project settings to make it work.

enter image description here

I cannot able to work with version 4.x

I have the Window 7, .NET Framework 4.7.2 Installed, any help or advice is much appreciated.

Thank you.

\$\endgroup\$
  • 1
    \$\begingroup\$ You should probably contact Unity (if you are using the latest version). I am not 100% sure, but I remember reading that Unity does not support .Net 4.x ... Again, you might want to report this to them \$\endgroup\$ – Gabriele Vierti Jan 15 '19 at 8:51
  • \$\begingroup\$ @GabrieleVierti But in Scripting runtime I have only two option 3.5 which is deprecated and 4.x which is giving those blank errors, but thank you for your feedback \$\endgroup\$ – Digvijaysinh Gohil Jan 16 '19 at 8:52
  • \$\begingroup\$ Have the same problem, how to fix that 5 blank errors? \$\endgroup\$ – VorTrex Official Mar 29 '19 at 21:36
  • \$\begingroup\$ @VorTrexOfficial If you are running windows 7 then change the sripting runtime version to 3.5 will solve the problem temporarily, however the ultimate fix for me is to upgrade to windows 10. \$\endgroup\$ – Digvijaysinh Gohil Mar 30 '19 at 9:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.